%define name		carol
%define version		1.8.9.4
%define release		2jpp
%define	section		free


Name:		%{name}
Summary:	CAROL: Common Architecture for RMI ObjectWeb Layer
Url:		http://carol.objectweb.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	carol-%{version}-src.tgz
Patch0:		carol-%{version}-commons-cli.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:  %{_bindir}/perl
BuildRequires:	objectweb-anttask
BuildRequires:  jakarta-commons-cli
BuildRequires:  jacorb
BuildRequires:  jgroups
BuildRequires:  jonathan-core >= 4.0
BuildRequires:  jonathan-jeremie >= 4.1
BuildRequires:  oldkilim
BuildRequires:  log4j
BuildRequires:  nanoxml-lite
BuildRequires:  monolog
BuildRequires:  velocity
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:  jakarta-commons-cli
Requires:  jacorb
Requires:  jgroups
Requires:  jonathan-core >= 4.0
Requires:  jonathan-jeremie >= 4.1
Requires:  oldkilim
Requires:  log4j
Requires:  nanoxml-lite
Requires:  monolog
Requires:  velocity
Requires:  xerces-j2
Requires:  xml-commons-apis
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
CAROL is a library allowing to use different RMI implementations. 
Thanks to CAROL, a Java server application can be independent of 
RMI implementations and accessible simultaneously by RMI clients 
using different RMI implementations. CAROL allows to design, 
implement, compile, package, deploy, and execute distributed 
applications compliant with the RMI model.


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%patch0 -b .sav

# assume no filename contains spaces
perl -p -i -e 's/org(.)javagroups/org${1}jgroups/' `grep org.javagroups -lr *`

%build
pushd externals
ln -sf $(build-classpath commons-cli) .
ln -sf $(build-classpath jacorb/jacorb) .
ln -sf $(build-classpath jgroups) .
ln -sf $(build-classpath jonathan-core) .
ln -sf $(build-classpath jonathan-jeremie) .
ln -sf $(build-classpath oldkilim) .
ln -sf $(build-classpath oldkilim-tools) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath nanoxml-lite) .
ln -sf $(build-classpath monolog/ow_util_log_file) .
ln -sf $(build-classpath monolog/ow_util_log_wrp_log4j) .
ln -sf $(build-classpath velocity) .
ln -sf $(build-classpath xerces-j2) .
ln -sf $(build-classpath xml-commons-apis) .
popd

export OPT_JAR_LIST="objectweb-anttask"
ant dist jdoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 output/dist/lib/ow_%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/ow_%{name}-%{version}.jar
install -m 644 output/dist/lib/ow_%{name}_core.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/ow_%{name}-%{version}_core.jar
install -m 644 output/dist/lib/ow_%{name}_cmic.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/ow_%{name}-%{version}_cmic.jar
install -m 644 output/dist/lib/cmic.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/cmic-%{version}.jar
install -m 644 output/dist/lib/daemon.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/daemon-%{version}.jar
install -m 644 output/dist/lib/shell.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/shell-%{version}.jar
install -m 644 output/dist/lib/ow_%{name}_iiop_delegate.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/ow_%{name}-%{version}_iiop_delegate.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/ow_carol-%{version}.jar
%{_javadir}/%{name}/ow_carol.jar
%{_javadir}/%{name}/ow_carol-%{version}_core.jar
%{_javadir}/%{name}/ow_carol_core.jar
%{_javadir}/%{name}/ow_carol-%{version}_cmic.jar
%{_javadir}/%{name}/ow_carol_cmic.jar
%{_javadir}/%{name}/cmic-%{version}.jar
%{_javadir}/%{name}/cmic.jar
%{_javadir}/%{name}/daemon-%{version}.jar
%{_javadir}/%{name}/daemon.jar
%{_javadir}/%{name}/shell-%{version}.jar
%{_javadir}/%{name}/shell.jar
%{_javadir}/%{name}/ow_carol-%{version}_iiop_delegate.jar
%{_javadir}/%{name}/ow_carol_iiop_delegate.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue May 17 2005 Fernando Nasser <fnasser at redhat.com> 0:1.8.9.4-2jpp
- Add ow_carol_iiop_delegate.jar file

* Fri May 06 2005 Fernando Nasser <fnasser at redhat.com> 0:1.8.9.4-1jpp
- Upgrade to 1.8.9.4

* Mon Mar 07 2005 Fernando Nasser <fnasser at redhat.com> 0:1.8.9.3-1jpp
- Upgrade to 1.8.9.3

* Mon Dec 20 2004 Fernando Nasser <fnasser at redhat.com> 0:1.8.4-1jpp
- Upgrade to 1.8.4

* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:1.5.1-1jpp
- First release

